Bug 910518 (knetwalk)

Summary: Review Request: knetwalk - Network construction game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-16 14:26:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:58:50 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/knetwalk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/knetwalk-4.10.0-1.fc18.src.rpm
Description: Connect all the terminals to the server 
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-14 19:17:46 EST
This shorter summary from .desktop will be better than "Connect all the terminals to the server":

Summary: Network construction game


Code under GPLv2+ license, doc under GFDL, license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc
Add notices for parts under different licenses.


Detailed %description from documentation:

KNetWalk is a single player logic game. The object of the game is
to start the LAN, connecting all the terminals to the server,
in as few turns as possible.


rpmlint output:
$ rpmlint knetwalk-4.10.0-1.fc18.i686.rpm knetwalk-debuginfo-4.10.0-1.fc18.i686.rpm knetwalk-4.10.0-1.fc18.src.rpm knetwalk.spec 
knetwalk.i686: W: no-manual-page-for-binary knetwalk
knetwalk.src:67: W: macro-in-comment %{name}
knetwalk.src:68: W: macro-in-comment %{name}
knetwalk.src:71: W: macro-in-comment %{name}
knetwalk.spec:67: W: macro-in-comment %{name}
knetwalk.spec:68: W: macro-in-comment %{name}
knetwalk.spec:71: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 7 warnings.

All commented lines should be removed.
Comment 2 Rex Dieter 2013-02-15 09:40:55 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/knetwalk.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/knetwalk-4.10.0-2.fc18.src.rpm

%changelog
* Fri Feb 15 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- update license, description/summary
Comment 3 nucleo 2013-02-16 13:39:03 EST
MUST Items:
+ rpmlint output
  $ rpmlint knetwalk-4.10.0-1.fc18.i686.rpm knetwalk-debuginfo-4.10.0-1.fc18.i686.rpm knetwalk-4.10.0-2.fc18.src.rpm knetwalk.spec 
    knetwalk.i686: W: no-manual-page-for-binary knetwalk
    3 packages and 1 specfiles checked; 0 errors, 1 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name knetwalk-4.10.0.tar.xz
+ spec file name knetwalk.spec matches base package name
+ complies with all the legal guidelines:
  + License: GPLv2+ and GFDL, matches actual license
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: ecc38f6e604746c08f45271c0707c744  knetwalk-4.10.0.tar.xz
  SHA1: bb6587f4f008c1bfcfed728f7d0e48de031a49e4  knetwalk-4.10.0.tar.xz
  SHA256: c08a7185715293424ff57d76f2980cc47d14ca292be031eb7f3dc697c575c1a1  knetwalk-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ knetwalk.desktop file for the GUI app knetwalk present
+ desktop-file-validate is used in %check and the knetwalk.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in  %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from knetwalk's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts

APPROVED
Comment 4 Rex Dieter 2013-02-16 13:47:12 EST
New Package SCM Request
=======================
Package Name: knetwalk
Short Description: Network construction game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 5 Jon Ciesla 2013-02-16 14:05:20 EST
Git done (by process-git-requests).
Comment 6 Rex Dieter 2013-02-16 14:26:26 EST
imported